> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Integration

## Delete Integration

Delete an integration. Users can only delete their own integrations.

<ParamField path="path" name="type" type="string" required>
  Integration type
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.example.com/api/v1/integrations/elevenlabs" \
    -H "X-API-Key: your-api-key-here"
  ```

  ```javascript JavaScript theme={null}
  const integrationType = 'elevenlabs';
  const response = await fetch(`https://api.example.com/api/v1/integrations/${integrationType}`, {
    method: 'DELETE',
    headers: {
      'X-API-Key': 'your-api-key-here'
    }
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  integration_type = 'elevenlabs'
  headers = {
      'X-API-Key': 'your-api-key-here'
  }

  response = requests.delete(
      f'https://api.example.com/api/v1/integrations/{integration_type}',
      headers=headers
  )

  data = response.json()
  ```
</RequestExample>

## Response

<ResponseField name="status" type="object">
  Response status information

  <ResponseField name="code" type="integer">
    HTTP status code (200)
  </ResponseField>

  <ResponseField name="message" type="string">
    Status message
  </ResponseField>
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": {
      "code": 200,
      "message": "Integration deleted successfully"
    }
  }
  ```
</ResponseExample>

## Error Responses

<ResponseField name="401" type="object">
  Unauthorized - Invalid or missing authentication
</ResponseField>

<ResponseField name="404" type="object">
  Integration not found
</ResponseField>
